NewWacht Bench is live — AI-assisted development for Wacht

Get Timeseries

GET
/webhook/analytics/timeseries

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Query Parameters

start_date?string
end_date?string
interval?string
endpoint_id?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/webhook/analytics/timeseries"
{
  "status": 0,
  "message": "string",
  "data": {
    "data": [
      {
        "timestamp": "string",
        "total_events": 0,
        "total_deliveries": 0,
        "successful_deliveries": 0,
        "failed_deliveries": 0,
        "filtered_deliveries": 0,
        "avg_response_time_ms": 0,
        "success_rate": 0
      }
    ],
    "interval": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}